Neutron db isn't migrated during HA cluster deployment

Bug #1361541 reported by Sergey Kolekonov on 2014-08-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Sergey Kolekonov
5.0.x
Critical
Sergey Kolekonov

Bug Description

{"build_id": "2014-08-25_10-18-33",
"ostf_sha": "09b6bccf7d476771ac859bb3c76c9ebec9da9e1f",
"build_number": "56",
"api": "1.0", "nailgun_sha": "d6bc2128651046906fd1a6c64106f9c72ba44b35", "production": "docker", "fuelmain_sha": "0371d0f249153cc4820da7cf222b4993680cf4f6", "astute_sha": "6db5f5031b74e67b92fcac1f7998eaa296d68025", "feature_groups": ["mirantis"],
"release": "5.0.2", "fuellib_sha": "8b7c35cb0d9e0a56d74e0071c3c75f55d9d5ab44"}

How to reproduce:
Deploy CentOS, HA+Neutron

Expected result:
Cluster is deployed successfully, Neutron database is created by Neutron db migration scripts and has the latest version.

Current revision for mysql://neutron:XXXXX@192.168.0.2:3306/neutron?read_timeout=60: 5ac1c354a051 -> icehouse (head), icehouse

Actual result: Cluster is deployed successfully, but Neutron migration scripts are ignored during deployed, so the database has no version stamp.
Current revision for mysql://neutron:XXXXX@192.168.0.2:3306/neutron?read_timeout=60: None

During deployment the following strings can be found in Puppet logs:

2014-08-26 06:24:13 INFO
 (/Stage[main]/Neutron::Server/Exec[upgrade_neutron_head]) Evaluated in 0.02 seconds
2014-08-26 06:24:12 INFO
 (/Stage[main]/Neutron::Server/Exec[upgrade_neutron_head]) Starting to evaluate the resource

2014-08-26 06:22:42 INFO
 (/Stage[main]/Neutron/Package[neutron]) Evaluated in 0.13 seconds
2014-08-26 06:22:42 DEBUG
 Executing '/bin/rpm -q openstack-neutron --nosignature --nodigest --qf %{NAME} %|EPOCH?{%{EPOCH}}:{0}| %{VERSION} %{RELEASE} %{ARCH} :DESC: %{SUMMARY}\n'
2014-08-26 06:22:42 INFO
 (/Stage[main]/Neutron/Package[neutron]) Starting to evaluate the resource

Neutron db migration scripts are triggered by the event from the neutron-server package installation, but it's already installed as a dependency. The possible solution is to install it directly.

Sergey Kolekonov (skolekonov) wrote :
Changed in fuel:
assignee: nobody → Sergey Kolekonov (skolekonov)

Fix proposed to branch: master
Review: https://review.openstack.org/117251

Changed in fuel:
status: Confirmed → In Progress
Dmitry Pyzhov (dpyzhov) on 2014-08-28
no longer affects: fuel/5.1.x

Reviewed: https://review.openstack.org/116829
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=639c2ba51bd32aee274ecb120998e94f2799d295
Submitter: Jenkins
Branch: stable/5.0

commit 639c2ba51bd32aee274ecb120998e94f2799d295
Author: Sergey Kolekonov <email address hidden>
Date: Tue Aug 26 13:03:26 2014 +0400

    Fix the Neutron DB creation during deployment

    Neutron database should be created by the Neutron db migration scripts,
    but they are ignored during deployment of HA clusters. The problem is
    the migration scripts depends on neutron-server package installation,
    but it's installed as a dependency for the OVS server package, so no
    necessary event was produced by Puppet. Now it's installed separately.

    Change-Id: I5d10ff9df6a37ad807d0d0214f3a6113bd58c08c
    Closes-bug: #1361541

Reviewed: https://review.openstack.org/117251
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=d9a14cb63be78ce5dd58f0a6a7bef91b2fd80145
Submitter: Jenkins
Branch: master

commit d9a14cb63be78ce5dd58f0a6a7bef91b2fd80145
Author: Sergey Kolekonov <email address hidden>
Date: Wed Aug 27 17:56:15 2014 +0400

    Fix Neutron DB migration scripts execution logic

    The migration scripts should be triggered by neutron-server package
    installation, because it's required during upgrade.
    Currently neutron-server is installed as a dependency for other packages, so
    more strict packages ordering is required.

    Change-Id: I5d10ff9df6a37ad807d0d0214f3a6113bd58c08c
    Closes-bug: #1361541

Changed in fuel:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers